'use strict';

/* global describe it */

require('should');

const sms = require('../lib/sms');

describe('#sms', () => {
    describe('#extract', () => {
        const raw = '+CMGR: "REC UNREAD","+6282210008543",,"19/07/26,13:21:16+28"\r\nsudah bisa?';
        const messageParsed = sms.extract(raw);

        it('should return raw correctly', () => {
            messageParsed.raw.should.equal(raw);
        });

        it('should return correct metadata', () => {
            messageParsed.metadata.status.should.equal('REC UNREAD');
            messageParsed.metadata.from.should.equal('+6282210008543');
            messageParsed.metadata.ts.should.equal('2019-07-26 13:21:16');
        });

        it('should return correct message', () => {
            messageParsed.message.should.equal('sudah bisa?');
        });
    });
});
